Data Structures | Defines | Typedefs | Variables

# linkgraphjob.h File Reference

Declaration of link graph job classes used for cargo distribution. More...

`#include "../thread/thread.h"`
`#include "linkgraph.h"`
`#include <list>`

Go to the source code of this file.

## Data Structures
class | LinkGraphJob
| Class for calculation jobs to be run on link graphs. More...
struct | LinkGraphJob::EdgeAnnotation
| Annotation for a link graph edge. More...
struct | LinkGraphJob::NodeAnnotation
| Annotation for a link graph node. More...
class | LinkGraphJob::Edge
| A job edge. More...
class | LinkGraphJob::EdgeIterator
| Iterator for job edges. More...
class | LinkGraphJob::Node
| Link graph job node. More...
class | Path
| A leg of a path in the link graph. More...
## Defines
#define | FOR_ALL_LINK_GRAPH_JOBS(var) FOR_ALL_ITEMS_FROM(LinkGraphJob, link_graph_job_index, var, 0)
## Typedefs
typedef std::list< Path * > | PathList
typedef Pool< LinkGraphJob, LinkGraphJobID, 32, 0xFFFF > | LinkGraphJobPool
| Type of the pool for link graph jobs.
## Variables
LinkGraphJobPool | _link_graph_job_pool
| The actual pool with link graph jobs.

## Detailed Description

Declaration of link graph job classes used for cargo distribution.

Definition in file linkgraphjob.h.

## Typedef Documentation

typedef Pool<LinkGraphJob, LinkGraphJobID, 32, 0xFFFF> LinkGraphJobPool

Type of the pool for link graph jobs.

Definition at line 24 of file linkgraphjob.h.

## Variable Documentation

LinkGraphJobPool _link_graph_job_pool

The actual pool with link graph jobs.